/*
 * EditBusViewerPlugin.java - an EditBus debugging tool
 * Copyright (C) 2000 Dirk Moebius
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import java.util.Vector;
import org.gjt.sp.jedit.*;


/**
 * EditBusViewerPlugin - an EditBus debugging tool. Opens a
 * window with a tree view of the EditBus contents. For developers.
 * @author Dirk Moebius <dmoebius@gmx.net>
 * @version 0.1.0
 */
public class EditBusViewerPlugin extends EditPlugin {
    
    // begin EditPlugin implementation
    public void start() {
        super.start();
        jEdit.addAction(new view_editbus());
    }
    
    public void createMenuItems(View view, Vector menus, Vector menuItems) {
        menuItems.addElement(GUIUtilities.loadMenuItem(view, "view-editbus"));
    }
    // end EditPlugin implementation
}

